org.apache.http.protocol

## Class RequestExpectContinue

- java.lang.Object
- - org.apache.http.protocol.RequestExpectContinue

- All Implemented Interfaces:
    HttpRequestInterceptor

      @Immutable
      public class RequestExpectContinue
      extends Object
      implements HttpRequestInterceptor

  RequestExpectContinue is responsible for enabling the 'expect-continue' handshake by adding `Expect` header. This interceptor is recommended for client side protocol processors.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestExpectContinue()` Deprecated. (4.3) use `RequestExpectContinue(boolean)`
    `RequestExpectContinue(boolean activeByDefault)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, HttpContext context)` Processes a request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestExpectContinue

          @Deprecated
          public RequestExpectContinue()

      Deprecated. (4.3) use `RequestExpectContinue(boolean)`

    - #### RequestExpectContinue

          public RequestExpectContinue(boolean activeByDefault)

      Since:
        4.3

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                     HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Parameters:
        `request` - the request to preprocess
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.